import { NgModule } from '@angular/core';

import { DegreePlannerComponent } from './degree-planner.component';
import { SharedModule } from '@app/shared/shared.module';
import { DegreePlannerRoutingModule } from './degree-planner.routing.module';
import { TermContainerComponent } from './term-container/term-container.component';
import { SidenavMenuItemComponent } from './sidenav-menu-item/sidenav-menu-item.component';
import { SavedForLaterContainerComponent } from './saved-for-later-container/saved-for-later-container.component';
import { CourseItemComponent } from './shared/course-item/course-item.component';
import { NotesDialogComponent } from './dialogs/notes-dialog/notes-dialog.component';
import { DragDropModule } from '@angular/cdk/drag-drop';
import { RemoveCourseConfirmDialogComponent } from './dialogs/remove-course-confirm-dialog/remove-course-confirm-dialog.component';
import { YearContainerComponent } from '@app/degree-planner/year-container/year-container.component';
import { CourseSearchComponent } from '@app/degree-planner/course-search/course-search.component';
import { AlertContainerComponent } from './alert-container/alert-container.component';

@NgModule({
  imports: [SharedModule, DragDropModule, DegreePlannerRoutingModule],
  exports: [DragDropModule],
  declarations: [
    DegreePlannerComponent,
    TermContainerComponent,
    CourseItemComponent,
    SidenavMenuItemComponent,
    SavedForLaterContainerComponent,
    NotesDialogComponent,
    RemoveCourseConfirmDialogComponent,
    YearContainerComponent,
    AlertContainerComponent,
    CourseSearchComponent,
  ],
  entryComponents: [NotesDialogComponent, RemoveCourseConfirmDialogComponent],
})
export class DegreePlannerModule {}
