import { Pipe, PipeTransform } from '@angular/core';
import * as utils from '@app/degree-planner/shared/utils';
import { YearCode } from '@app/core/models/termcode';
import { ConstantsService } from '@app/degree-planner/services/constants.service';

@Pipe({ name: 'academicYearState' })
export class AcademicYearStatePipe implements PipeTransform {
  constructor(private constants: ConstantsService) {}

  transform(yearCode: string | YearCode): string {
    if (typeof yearCode === 'string') {
      yearCode = new YearCode(yearCode);
    }

    const era = utils.pickYearEra(yearCode, this.constants.activeTermCodes());
    switch (era) {
      case 'past':
        return `Past year: ${yearCode.fromYear}-${yearCode.toYear}`;
      case 'future':
        return `Future year: ${yearCode.fromYear}-${yearCode.toYear}`;
      default:
        return `Active year: ${yearCode.fromYear}-${yearCode.toYear}`;
    }
  }
}
